Bug 117587 - Ordinal/cardinal numbering: preview is shown in program locale language, not in language of selected text
Summary: Ordinal/cardinal numbering: preview is shown in program locale language, not ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullets-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2018-05-12 18:13 UTC by Mike Kaganski
Modified: 2022-07-31 03:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem (21.53 KB, image/png)
2018-05-12 18:13 UTC, Mike Kaganski
Details
screenshot with locale fr_FR and text and UI in English (162.62 KB, image/png)
2018-06-16 17:14 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-05-12 18:13:38 UTC
Created attachment 142057 [details]
Screenshot of the problem

The LibreOffice is configured for English (US) UI, and Russian (default) locale.

When I apply a cardinal (and ordinal) numbering to a text which is English, the preview is still in Locale language (Russian). (Ordinal lists have problems with Russian - see bug 117584). I suppose that current text language should be used instead.

Tested with: Version: 6.1.0.0.alpha1+ (x64)
Build ID: 23c5125148a8110d88385b29570bf0b7d4400458
CPU threads: 12; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 1 Jean-Baptiste Faure 2018-06-16 17:13:29 UTC
I reproduce the problem with LO 6.1.0.0.beta2+ configured with the UI in English and a text in English. As my locale is French (fr_FR) I see the preview in French instead of the language of my text (English).

Set status to NEW.

Best regards. JBF
Comment 2 Jean-Baptiste Faure 2018-06-16 17:14:15 UTC
Created attachment 142804 [details]
screenshot with locale fr_FR and text and UI in English
Comment 3 QA Administrators 2019-06-19 02:48:39 UTC Comment hidden (obsolete)
Comment 4 christos 2020-07-30 18:35:00 UTC
Reproduced with the following.
Version: 7.0.0.2 (x64)
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: threaded

Another example of LibreOffice language bias towards locale is #tdf 134155.
Comment 5 QA Administrators 2022-07-31 03:28:02 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug